Bug 1798725 - static pod operator cannot be composed
Summary: static pod operator cannot be composed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 21:09 UTC by David Eads
Modified: 2020-05-04 11:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 754 None closed bug 1798725: static pod operator cannot be composed 2020-02-17 06:08:16 UTC
Github openshift cluster-kube-controller-manager-operator pull 346 None closed bug 1798725: static pod operator cannot be composed 2020-02-17 06:08:16 UTC
Github openshift cluster-kube-scheduler-operator pull 204 None closed bug 1798725: static pod operator cannot be composed 2020-02-17 06:08:16 UTC
Github openshift cluster-kube-scheduler-operator pull 206 None closed Bug 1798725: static pod operator cannot be composed 2020-02-17 06:08:17 UTC
Github openshift library-go pull 704 None closed bug 1798725: allow static pod operator to be composed 2020-02-17 06:08:17 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:29 UTC

Description David Eads 2020-02-05 21:09:25 UTC
the static pod operator directly sets available and progressing, which makes it impossible to appropriately compose the conditions inside of an operator.

Comment 1 Maciej Szulik 2020-02-10 15:18:33 UTC
All PRs merged, moving to modified.

Comment 3 Xingxing Xia 2020-02-12 01:35:11 UTC
This bug library code is https://github.com/openshift/library-go/pull/704 , which is bumped into KAS, KCM, KSCH.
Ying, Kasturi, please better to help check KCM and KSCH respectively while we'll check KAS, thx

Comment 6 Ke Wang 2020-02-20 08:37:11 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-02-19-173908   True        False         6h      Cluster version is 4.4.0-0.nightly-2020-02-19-173908

Per PR changes of https://github.com/openshift/cluster-kube-apiserver-operator/pull/754, defined new StaticPodsAvailableConditionType:"StaticPodsAvailable" and NodeInstallerProgressingConditionType:"NodeInstallerProgressing", checked in below operators,

For KAS,
$ oc get kubeapiservers.operator.openshift.io/cluster -o yaml | grep -E 'NodeInstallerProgressing|StaticPodsAvailable'
    type: StaticPodsAvailable
    type: NodeInstallerProgressing

For KSCH,
$ oc get kubescheduler/cluster -o yaml | grep -E 'NodeInstallerProgressing|StaticPodsAvailable'
    type: StaticPodsAvailable
    type: NodeInstallerProgressing

For KCM,
$ oc get kubecontrollermanagers.operator.openshift.io/cluster -o yaml | grep -E 'NodeInstallerProgressing|StaticPodsAvailable'
    type: StaticPodsAvailable
    type: NodeInstallerProgressing

The above two condition type were found as  expected, move the bug to verify.

Comment 9 errata-xmlrpc 2020-05-04 11:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.